# wavekit

This is a Python library for manipulating and analyzing digital circuit waveforms. The library provides tools to read, process, and perform various operations on waveform data, suitable for various digital circuit simulation and testing scenarios.

## Features
* Read various waveform file formats (e.g., VCD, FSDB, etc.)
* Batch extraction of waveforms using absolute paths, brace expansions and regular expressions
* Perform arithmetic operations, bitwise operations, functional operations and other operators on waveform data

## Installation

### Using pip
You can install the library using pip:

``` bash
pip install wavekit
```

### From Source
To install the library from the source, follow these steps:

Clone the repository:

```bash
git clone https://github.com/cxzzzz/wavekit.git
```

Navigate to the project directory:
``` bash
cd wavekit
```
Install the library using pip:

``` bash
pip install .
```

## Quick Start
Here is a simple example demonstrating how to use the library to read a VCD file and perform some operations on the waveform data:

``` python
```

## License
This project is licensed under the MIT License. See the [LICENSE] file for details.